Summary:	A set of Solitaire type games for the X Window System
Name:		xpat2
Version:	1.07
Release: 9mdk
License:	GPL
Group:		Games/Cards
BuildRequires:	gcc-c++ qt2-devel XFree86 XFree86-devel xpm-devel

#URL:		ftp://sunsite.unc.edu/pub/Linux/games/x11/strategy/%{name}-%{version}-src.tar.bz2	

Source0:	%{name}-%{version}-src.tar.bz2	
Source1:	xpat2
Source2:	%{name}-16.xpm.bz2
Source3:	%{name}-32.xpm.bz2
Source4:	%{name}-48.xpm.bz2
Patch:		xpat2-1.03-fsstnd.patch.bz2
Patch1:		xpat2-1.04-xpm.patch.bz2
Patch2:		xpat2-1.04-nobr.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
Xpat2 is a generic patience or Solitaire game for the X Window System.

Xpat2 can be used with different rules sets, so it can be used to play
Spider, Klondike, and other card games.


%prep
%setup -q
#%patch -p1
#%patch1 -p1
#%patch2 -p1 -b .nobr

%build
export PATH=%{_bindir}/X11:$PATH

find -type f | xargs perl -pi -e "s|/var/games/|/var/lib/games/|g" 
perl -p -i -e "s|xmkmf &&||" Makefile
cd src
xmkmf
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
# 1.0.7-1
perl -p -i -e "s|/usr/local/qt|/usr/lib/qt2|" Makefile
perl -p -i -e "s|chown.*||" Makefile
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall DESTDIR=$RPM_BUILD_ROOT \
	XPATROOT=$RPM_BUILD_ROOT/usr/games/lib/xpat \
	XPATMANDIR=$RPM_BUILD_ROOT/usr/share/man/man6 \
	APPDEFSDIR=$RPM_BUILD_ROOT/usr/X11R6/lib
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_libdir}/menu/
install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm
mkdir -p $RPM_BUILD_ROOT/var/lib/games/
touch $RPM_BUILD_ROOT/var/lib/games/xpat.log

%post
%update_menus
%create_ghostfile /var/lib/games/xpat.log root games 664

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/X11/app-defaults/XPat
%{_prefix}/games/lib/xpat/*
%{_mandir}/man6/xpat2.6x*
%attr(2755, root, games) %{_prefix}/X11R6/bin/xpat2
%{_prefix}/X11R6/lib/*/app-defaults/XPat
%{_libdir}/menu/*
%{_miconsdir}/*
%{_liconsdir}/*
%{_iconsdir}/%{name}.xpm
%attr(664, root, games) %ghost /var/lib/games/xpat.log

%changelog
* Thu Feb 28 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.07-9mdk
- fix path and perms for /var files, use a ghost file

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 1.07-8mdk
- BuildRequires

* Fri Dec 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.07-7mdk
- fix duplicate files in %%files section

* Thu Oct 11 2001 Etienne Faure <etienne@mandrakesoft.com> 1.07-6mdk
- Requires libpng2 ->libpng3

* Wed Sep 19 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.07-5mdk
- fix path (Quel Qun).

* Thu Aug 30 2001 David BAUDENS <baudens@mandrakesoft.com> 1.07-4mdk
- Use new icons

* Tue Jul 17 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.07-3mdk
- Remove %%ifarch x86 section, it applies to all ports

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.07-2mdk
- BuildRequires:	qt2-devel

* Sat Jun 30 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.07-1mdk
- version 1.07

* Sat Jan 20 2001 Etienne Faure  <etienne@mandrakesoft.com> 1.04-23mdk
- fixed menu entry

* Fri Dec  8 2000 Etienne Faure  <etienne@mandraksoft.com> 1.04-22mdk
- Rebuilt for ppc
- Macros

* Thu Aug 31 2000 Mark Walker <mwalker@mandrakesoft.com> 1.04-21mdk
- Release build

* Wed Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 1.04-20mdk
- Fix menu entry
- Human readable spec

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.04-19mdk
- automatically added BuildRequires

* Sun Jul 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.04-18mdk
- macroszifications
- update menus and clean menus macro
- BM

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 1.04-17mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 1.04-16mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 1.04-15mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.04-14mdk
- Added menu entry.

* Thu Mar 30 2000 dam's <damien@mandrakesoft.com> 1.04-13mdk
- Release.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.04-12mdk
- Use bz2 sources.

* Thu Nov 6 1999 dam's <damien@mandrakesoft.com>
- Mandrake adaptation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Thu Sep 17 1998 Jeff Johnson <jbj@redhat.com>
- use "mkdir -p" rather than mkdirhier to avoid IFS problem with bash-2.02.

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
